%include	/usr/lib/rpm/macros.php
%define		_status		beta
%define		_pearname	Net_GameServerQuery
Summary:	%{_pearname} - interface to query a game server
Summary(pl.UTF-8):	%{_pearname} - interfejs do odpytywanie serwera gier
Name:		php-pear-%{_pearname}
Version:	0.3.0
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	798e11b5390705a05973ab652c1b1cae
URL:		http://pear.php.net/package/Net_GameServerQuery/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 5.0.0
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net_GameServerQuery is an object for querying game servers. Currently
only supports basic "status" information. Built in support for over 20
games.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Net_GameServerQuery to obiekt do odpytywania serwerów gier. Aktualnie
obsługuje tylko podstawowe informacje o stanie. Ma wbudowaną obsługę
ponad 20 gier.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

mv .%{php_pear_dir}/data/Net_GameServerQuery/TODO docs

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Net/GameServerQuery.php
%{php_pear_dir}/Net/GameServerQuery
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> c0c0ea8
- use php(core) for php engine version deps
- release 1 (by relup.sh)

* Sat Oct 09 2010 Elan Ruusamäe <glen@pld-linux.org> a80354b
- outdated

* Sat Oct 09 2010 Elan Ruusamäe <glen@pld-linux.org> 67154c4
- up to 0.3.0-beta

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> a128e1c
- rel 6

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c74d167
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1abd86d
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 775e6ec
- BR rpm-build macros >= 1.300 for %pear_ macros

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 0c50c90
- BR php-pear-PEAR

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 566a86d
- rel 5

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> fb9c63d
- semi automatically added deps from pear

* Wed Sep 28 2005 Elan Ruusamäe <glen@pld-linux.org> b0fd72d
- undos now

* Wed Sep 28 2005 Elan Ruusamäe <glen@pld-linux.org> a1c0d70
- new pear packaging (fixed %files); rel 4

* Sun Dec 05 2004 Adam Gołębiowski <adamg@pld-linux.org> 71f9d30
- add path_fix.patch (fix some inclusion issues)
- release 3

* Sun Dec 05 2004 Adam Gołębiowski <adamg@pld-linux.org> 9242966
- fix one path issue and several directory separator issues

* Sat Dec 04 2004 Adam Gołębiowski <adamg@pld-linux.org> 6ea0758
- rebuild with new PEAR provides/requires scripts
- release 2

* Wed Nov 24 2004 Adam Gołębiowski <adamg@pld-linux.org> f1eaca5
- updated to 0.2.0

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> 4e6182c
- spaces->tabs
- formatting

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> b06c069
- fixed english information about status of the package

* Sat Apr 10 2004 Jakub Bogusz <qboosh@pld-linux.org> c3d92e3
- pl desc

* Sat Apr 10 2004 Adam Gołębiowski <adamg@pld-linux.org> 22a6701
- shortened en summary, added pl summary
- fixed URL

